.container-principal-1 {
    width: 100%;
    min-height:  100vh;
    max-height: auto;
    background: #e0e0e0;
}

.container-card-finanças {
    width: 100%;
    margin: 40px auto;
}

.card-finanças {
    display: flex;
    align-items: center;
    justify-items: center;
    justify-content: space-around;
}

.card {
    background-color: #fff;
    height: 80px;
    width: 250px;
    border-radius: 20px;
    padding: 20px 20px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-between;
    justify-items: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.titulo-card h3{
    color: #7e7e7e;
    font-size: 1.0rem;
    text-align: right;
}

.titulo-card p{
    font-size: 1.1rem;
    margin-top: 10px;
}

/* receitas e despesas */
.container-duplo {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.container-card {
    padding: 40px;
}

.container-receitasDespesas {
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 100%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.card-receitasDespesas {
    width: 100%;
    overflow-x: auto;
}

.card-header-receitas{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #168316, #19c243);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.titulo-card-receitasDespesas{
    display: flex;
    align-items: center;
    justify-content: center;
}

.titulo-card-receitasDespesas h1{
    font-size: 1.7rem;
    margin-top: 15px;
    margin-left: 10px;
}

.card-body-receitas{
    height: 400px;
    overflow: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-header-despesas{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #831616, #c21919);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.container-principal-2 {
    width: 100%;
    background: #ffffff;
    padding: 40px;
}

canvas {
    width: 100%;
    height: 100%;
}

.receitas-mes-body {
    height: 800px;
    overflow: auto;
    justify-content: center;
    align-items: center;
    display: flex;
}

.container-principal-3 {
    width: 100%;
    background: #e0e0e0;
    padding: 40px;
}

.container-DR {
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 90vw;
    margin: 40px auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.container-principal-2 .container-DR {
    background-color: #e0e0e0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 90vw;
    margin: 40px auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.table {
    width: 100vw;
    overflow-x: auto;
}

.table-header-despesas{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #831616, #c21919);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.table-header-receitas{
    background: linear-gradient(to right, #168316, #19c243);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.table-header-dividas{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #2b4c7e, #7e2b2b);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.titulo-table{
    display: flex;
    align-items: center;
    justify-content: center;
}

.titulo-table h1{
    font-size: 1.7rem;
    margin-top: 15px;
    margin-left: 10px;
}

button{
    outline: none;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    padding: 10px;
    color: #fefefe;
}

.table-body{
    min-height: 200px;
    max-height: 350px;
    overflow: auto; 
}

table {
    width: 100%;
    table-layout: fixed;
    min-width: 900px;
    border-collapse: collapse;
}

.thead-despesas th {
    top: 0;
    background: #806060;
    color: #ffffff;
    font-size: 15px;
}

.thead-receitas th {
    top: 0;
    background: #648060;
    color: #ffffff;
    font-size: 15px;
}

.thead-dividas th {
    top: 0;
    background: #606d80;
    color: #ffffff;
    font-size: 15px;
}

th:nth-child(2), td:nth-child(2){
    width: 55%;
}

th:nth-child(1), td:nth-child(1){
    width: 20%;
}

th, td {
    border-bottom: 1px, solid #dddddd;
    padding: 10px 20px;
    word-break: break-all;  
    text-align: center;
}

tr:hover td{
    color: #567ebb;
    cursor: pointer;
    background-color: #dce0e6;
}

::-webkit-scrollbar {
    height: 5px;
    width: 5px;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

/* btns-tabelas */
.icone {
    max-width: 100%;
    height: auto;
    width: auto;
}

.btn-add-receita {
    padding: 5px 25px;
    margin-left: 15px;
    border-radius: 15px;
    color: #fefefe;
    background: #168316;
    cursor: pointer;
    transition: all 400ms ease;
    border: none;
    outline: none;
}

.btn-add-despesa {
    padding: 5px 25px;
    margin-left: 15px;
    border-radius: 15px;
    color: #fefefe;
    background: #831616;
    cursor: pointer;
    transition: all 400ms ease;
    border: none;
    outline: none;
}

.btn-add-receita:hover, .btn-add-despesa:hover{
    background: transparent;
    color: #ffffff;
    box-shadow: inset 0 0 0 3px #ffffff;
}

/* modal */

/* Janela Modal */
.modal-fade {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center; 
}

.modal {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    width: 100%;
    position: relative;
}

.header-modal {
    color: #000;
    background: none;
    font-size: 1.6rem;
    padding: 0px;
    margin-top: 15px;
    margin-bottom: 30px;
}

.header-modal button {
    position: absolute;
    top: 15px;
    right: 10px;
    cursor: pointer;
    font-size: 2.8rem;
    color: #ff0000ff;
    background: none;
    border: none;
}

/* modal-add-receita */
.modal-add-receita form {
    margin-top: 20px;
}

.modal-add-receita form label {
    display: block;
    color: #000;
    margin-bottom: 5px;
    margin-top: 20px;
    font-size: 1.2rem;
    font-weight: bold;
}

.modal-add-receita form input, .modal-add-receita form select {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    box-sizing: border-box;
    border: none;
    border-bottom: 2px solid #000;
}

.modal-add-receita form input:focus, .modal-add-receita form select:focus {
    outline: none;
    border-bottom: 3px solid #567ebb;
}

.modal-add-receita form button[type="submit"] {
    background-color: #2b4c7e;
    color: #fff;
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 15px;
    width: 100%;
}

.modal-add-receita form button[type="submit"]:hover {
    background-color: #4167a0;
    cursor: pointer;
}

.container-dividaJogador {
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    width: 100%;
}

.table {
    width: 100vw;
    overflow-x: auto;
}

.table-header-divida-form{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    background: linear-gradient(to right, #2b4c7e, #7e2b2b);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.titulo-table{
    display: flex;
    align-items: center;
    justify-content: center;
}

.titulo-table h1{
    font-size: 1.7rem;
    margin-top: 15px;
    margin-left: 10px;
}

.thead-dividas-form th {
    top: 0;
    background: #606d80;
    color: #ffffff;
    font-size: 15px;
}

.table-body-dividas-form {
    height: auto;
    max-height: 200px;
    overflow: auto; 
}

.container-dividaJogador table {
    min-width: auto;
}

.thead-dividas-form th:nth-child(1), .thead-dividas-form td:nth-child(1){
    width: 10%;
}

.thead-dividas-form th:nth-child(2), .thead-dividas-form  td:nth-child(2){
    width: 35%;
}

.tbody-dividas-form td:nth-child(1){
    padding: 0;
}

.tbody-dividas-form td {
    font-size: 0.9rem;
    color: #000;
}

.thead-dividas-form th:nth-child(3), .thead-dividas-form  td:nth-child(3), .thead-dividas-form th:nth-child(4), .thead-dividas-form  td:nth-child(4){
    width: auto;
}

.table-body-dividas-form input[type="checkbox"]{
    cursor: pointer;
}

#container-card-2 {
    display: none;
}

#container-card-despesa-2 {
    display: none;
}

#container-receita-mes-2 {
    display: none;
}

#container-card-despesa-3 {
    display: none;
}

#container-card-3 {
    display: none;
}

.container-anual-btn 
{
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 40px auto;
}

.btns-anual
{
    display: flex;
    flex-direction: row-reverse;
    gap: 2rem;
    width: 100%;
    padding: 40px;
}

#btn-criar-mensalidade
{
    cursor: pointer;
    width: 184px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    font-size: 1.125em;
    font-weight: 800;
    letter-spacing: 2px;
    color: #fff;
    background: #09ad32;
    border: 2px solid #168316;
    border-radius: .75rem;
    box-shadow: 0 8px 0 #2c723d;
    transform: skew(-10deg);
    transition: all .1s ease;
    filter: drop-shadow(0 15px 20px #1ca73f);
}

#btn-criar-mensalidade:active
{
    letter-spacing: 0px;
    transform: skew(-10deg) translateY(8px);
    box-shadow: 0 0 0#1fe951;
}

#btn-resetar-ano
{
    cursor: pointer;
    width: 184px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    font-size: 1.125em;
    font-weight: 800;
    letter-spacing: 2px;
    color: #fff;
    background: #c21919;
    border: 2px solid #831616;
    border-radius: .75rem;
    box-shadow: 0 8px 0 #a31616;
    transform: skew(-10deg);
    transition: all .1s ease;
    filter: drop-shadow(0 15px 20px #e91f1f);
}

#btn-resetar-ano:active
{
    letter-spacing: 0px;
    transform: skew(-10deg) translateY(8px);
    box-shadow: 0 0 0 #e91f1f;
}


@media only screen and (min-width: 1024px) and (max-width: 1280px)
{
    body {
        overflow-x: hidden;
    }

    #container-card-1 {
        display: none;
    }

    #container-card-2 {
        display: flex;
    }

    #container-card-despesa-1 {
        display: none;
    }

    #container-card-despesa-2{
        display: flex;
    }

    #container-receita-mes-2 {
        display: flex;
    }

    #container-receita-mes-1 {
        display: none;
    }

    .receitas-mes-body {
        height: 570px;
    }

    .container-principal-3 table {
        min-width: 800px;
    }

    .container-duplo {
        display: flex;
        flex-direction: column;
    }

    .card-finanças {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        justify-items: center;
        gap: 2rem;
    }
   
}

@media only screen and (min-width: 768px) and (max-width: 1023px)
{
    body {
        overflow-x: hidden;
    }

    .card-finanças {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        justify-items: center;
        gap: 2rem;
    }

    .container-duplo {
        display: flex;
        flex-direction: column;
    }

    #container-card-1 {
        display: none;
    }

    #container-card-2 {
        display: flex;
    }

    #container-card-despesa-1 {
        display: none;
    }

    #container-card-despesa-2 {
        display: flex;
    }

    #container-receita-mes-2 {
        display: flex;
    }

    #container-receita-mes-1 {
        display: none;
    }

    .receitas-mes-body {
        height: 410px;
    }

    .container-principal-3 table {
        min-width: 640px;
    }
}

@media only screen and (max-width: 767px)
{
    body {
        overflow-x: hidden;
    }

    .card-finanças {
        display: grid;
        grid-template-columns: 1fr;
        align-items: center;
        justify-items: center;
        gap: 2rem;
    }

    .container-duplo {
        display: flex;
        flex-direction: column;
    }

    #container-card-1 {
        display: none;
    }

    #container-card-3 {
        display: flex;
    }

    #container-card-despesa-1 {
        display: none;
    }

    #container-card-despesa-3 {
        display: flex;
    }

    .titulo-card-receitasDespesas h1 {
        font-size: 1.2rem;
    }

    .titulo-table h1 {
        font-size: 1.5rem;
    }

    .container-principal-2 {
        display: none;
    }

    .container-principal-3 {
        padding: 40px 0;
        background: #ffffff;
    }

    .container-DR {
        background-color: #e0e0e0;
    }

    .card-body-receitas {
        flex-direction: column;
        height: 370px;
    }

    .card-body-receitas h2 {
        color: #168316;
        margin-top: 15px;
        font-size: 2rem;
    }

    #container-card-despesa-3 .card-body-receitas h2 {
        color: #c21919;
    }

    .container-principal-3 table {
        min-width: 650px;
    }

    .modal {
        max-width: 360px;
    }

    .header-modal h2 {
        font-size: 2rem;
        text-align: center;
    }

    .btns-anual
    {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 2rem;
        width: 100%;
        padding: 40px;
    }
}